Subject: Re: bug#46988: 28.0.50; Documenting and verifying assumptions about C code not calling quit or GCing

From: Pip Cet <[email-masked]>
Date: Thu, 23 Jun 2022 15:56:49 +0000

On Mon, Jun 20, 2022 at 11:48 AM Eli Zaretskii <[email-masked]> wrote:
> > I think if we add this, it should be enabled only if the build is
> > configured with --enable-checking.
>
> Yes, I agree.

So do I.

> In addition, AFAIU this uses some GCC-specific stuff without providing
> for other compilers that don't support the same literal features.

I'm not sure to what extent clang emulates those same features, but
it's certainly not standard C.

Pip